<div class="row justify-content-center card-margins">
  <div class="col">
    <mat-card>
      <div class="row">
        <div class="col-9">
          <mat-card-header class="user" [routerLink]="['/user-profile/' + card.creator._id]">
            <img mat-card-avatar src="../../../../assets/student.png" alt="" />
            <mat-card-title class="comment-title">
              {{ card.creator | name }}
            </mat-card-title>
            <mat-card-subtitle> {{ card.creator | name: 'userName' }}</mat-card-subtitle>
          </mat-card-header>
        </div>
        <div class="col-3" style="text-align: end">
          <mat-card-subtitle>{{ card.date | date: 'dd/M/yyyy H:mm' }}</mat-card-subtitle>
        </div>
      </div>
      <mat-card-content class="comment-box-outer">
        <p class="comment-box" *ngIf="!isEditClicked; else editBlock">
          {{ card.mainText }}
        </p>
        <ng-template #editBlock>
          <mat-form-field class="editing-box" appearance="outline" style="margin-bottom: -1.25em">
            <mat-label>Question Description</mat-label>
            <textarea
              matInput
              appAutofocus
              placeholder="Describe your quesiton in detail"
              matTextareaAutosize
              matAutosizeMinRows="6"
              [(ngModel)]="card.mainText"
            ></textarea>
          </mat-form-field>
        </ng-template>
      </mat-card-content>
      <mat-card-actions *ngIf="!isEditClicked; else elseButtonBlock">
        <button mat-button (click)="like()">
          <mat-icon
            class="icon-padding"
            [ngClass]="{ 'material-icons liked': isLiked(), 'material-icons-outlined': !isLiked() }"
            >thumb_up</mat-icon
          >
          {{ card.likes == 1 ? card.likes + ' Like' : card.likes + ' Likes' }}
        </button>
        <button mat-button *ngIf="isCreator" (click)="toggleEdit()">
          <mat-icon class="icon-padding material-icons-outlined">edit</mat-icon>
          Edit
        </button>
        <button mat-button *ngIf="isCreator" (click)="deleteComment()">
          <mat-icon class="icon-padding material-icons-outlined icon-padding">delete</mat-icon>
          Delete
        </button>
      </mat-card-actions>
      <ng-template #elseButtonBlock>
        <mat-card-actions class="editing-icons comment">
          <button mat-button (click)="submitEdit()">
            <mat-icon class="material-icons-outlined">send</mat-icon>
            Submit
          </button>
          <button mat-button (click)="toggleEdit()">
            <mat-icon class="material-icons-outlined">close</mat-icon>
            Close
          </button>
        </mat-card-actions>
      </ng-template>
    </mat-card>
  </div>
</div>
